<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfRelatieIDGegevens ArrayType
 * @subpackage Arrays
 */
class ArrayOfRelatieIDGegevens extends AbstractStructArrayBase
{
    /**
     * The RelatieIDGegevens
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\RelatieIDGegevens[]
     */
    public $RelatieIDGegevens;
    /**
     * Constructor method for ArrayOfRelatieIDGegevens
     * @uses ArrayOfRelatieIDGegevens::setRelatieIDGegevens()
     * @param \StructType\RelatieIDGegevens[] $relatieIDGegevens
     */
    public function __construct(array $relatieIDGegevens = array())
    {
        $this
            ->setRelatieIDGegevens($relatieIDGegevens);
    }
    /**
     * Get RelatieIDGegevens value
     * @return \StructType\RelatieIDGegevens[]|null
     */
    public function getRelatieIDGegevens()
    {
        return $this->RelatieIDGegevens;
    }
    /**
     * Set RelatieIDGegevens value
     * @throws \InvalidArgumentException
     * @param \StructType\RelatieIDGegevens[] $relatieIDGegevens
     * @return \ArrayType\ArrayOfRelatieIDGegevens
     */
    public function setRelatieIDGegevens(array $relatieIDGegevens = array())
    {
        foreach ($relatieIDGegevens as $arrayOfRelatieIDGegevensRelatieIDGegevensItem) {
            // validation for constraint: itemType
            if (!$arrayOfRelatieIDGegevensRelatieIDGegevensItem instanceof \StructType\RelatieIDGegevens) {
                throw new \InvalidArgumentException(sprintf('The RelatieIDGegevens property can only contain items of \StructType\RelatieIDGegevens, "%s" given', is_object($arrayOfRelatieIDGegevensRelatieIDGegevensItem) ? get_class($arrayOfRelatieIDGegevensRelatieIDGegevensItem) : gettype($arrayOfRelatieIDGegevensRelatieIDGegevensItem)), __LINE__);
            }
        }
        $this->RelatieIDGegevens = $relatieIDGegevens;
        return $this;
    }
    /**
     * Add item to RelatieIDGegevens value
     * @throws \InvalidArgumentException
     * @param \StructType\RelatieIDGegevens $item
     * @return \ArrayType\ArrayOfRelatieIDGegevens
     */
    public function addToRelatieIDGegevens(\StructType\RelatieIDGegevens $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\RelatieIDGegevens) {
            throw new \InvalidArgumentException(sprintf('The RelatieIDGegevens property can only contain items of \StructType\RelatieIDGegevens, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->RelatieIDGegevens[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\RelatieIDGegevens|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\RelatieIDGegevens|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\RelatieIDGegevens|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\RelatieIDGegevens|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\RelatieIDGegevens|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string RelatieIDGegevens
     */
    public function getAttributeName()
    {
        return 'RelatieIDGegevens';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfRelatieIDGegevens
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
